# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_kt_get_name - Get a key table name.

krb5_error_code krb5_kt_get_name(krb5_context context, krb5_keytab keytab, char *name, unsigned int namelen)

param:

  [in] context - Library context

  [in] keytab - Key table handle

  [out] name - Key table name

  [in] namelen - Maximum length to fill in name

retval:

  - 0 Success

  - KRB5_KT_NAME_TOOLONG Key table name does not fit in namelen bytes

return:

  - Kerberos error codes

Fill name with the name of keytab including the type and delimiter.